Page MenuHomePhabricator

Whole team chat with Damon RE burndown chart expectations
Closed, ResolvedPublic

Description

Ensure we fully understand what Damon's 'ask' is with burndown charts and from our team in supporting them.

Event Timeline

Awjrichards claimed this task.
Awjrichards raised the priority of this task from to Needs Triage.
Awjrichards updated the task description. (Show Details)
Awjrichards added a project: Team-Practices.
Awjrichards moved this task to To Triage on the Team-Practices board.
Awjrichards added a subscriber: Awjrichards.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 2 2015, 9:26 PM
Awjrichards moved this task from To Triage to Team radar on the Team-Practices board.

Scheduling request made with Praveena, awaiting scheduled meeting time.

Elitre added a subscriber: Elitre.Feb 13 2015, 11:54 PM

Has this happened? Will results be shared?

Aklapper triaged this task as High priority.Feb 17 2015, 2:09 PM
Awjrichards moved this task from Team radar to Done on the Team-Practices board.Feb 17 2015, 7:52 PM
Awjrichards updated the task description. (Show Details)Feb 18 2015, 12:25 AM
Awjrichards set Security to None.

@Aklapper yeah this has indeed happened.

Here's a high-level summary from my notes of what came out of our talk:

  • The important thing is to know how fast we'e coming up with tasks (bugs, new features, etc) and how fast we are closing them; have a visual way of making progress, driving the burndown line DOWN
  • When Damon says 'bugs' he doesn't necessarily mean 'defects' - he means any ticket in the system (could be a defect [like, an actual bug], a new feature, user story, etc)
  • All engineering teams should be using burndown charts, though we should focus our efforts on who we support in implementing the basic things needed for meaningful burndown charts: backlog, triaging, and estimation
  • It's ideal to have burndown charts in a location as close to where work gets defined and discussed (eg in Phabricator), though this is not necessary
  • Not all teams need to necessarily have their charts in the same place
  • KEEP IT SIMPLE - we don't necessarily need to go deep into the kinds of 'hurricane charts' Damon was demoing at MWDS; we can start with something simple and basic so long as it communicates scope and progress.
Awjrichards closed this task as Resolved.Mar 2 2015, 9:03 PM